
Redmine - Defect #24723

[regression?] r10132's changes were reverted with r15569

2017-01-01 06:35 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Mischa The Evil % Done: 0%

Category: Third-party libraries Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

The adjustments made in r10132 were reverted by r15569 for #23107. Was this intentional, eg. to bring the upstream alpha base in

sync with Redmine's theme or was it by mistake? Either way, the inline styles in the multilingual wiki_syntax_detailed_[*].html

documentation needs to be re-synced again (like in r14492 for #20288). Before I start mocking-up a patch, I'd like to know what

was/is intended...

Related issues:

Related to Redmine - Patch #24800: Remove internal style sheet duplication an... Closed

History

#1 - 2017-01-04 19:04 - Jean-Philippe Lang

I guess they were not reverted intentionally.

#2 - 2017-01-10 15:19 - Mischa The Evil

- Related to Patch #24800: Remove internal style sheet duplication and obsoleted meta tag from wiki_syntax_* documentation. added

#3 - 2017-01-10 15:41 - Mischa The Evil

- File 0001-Re-introduce-CodeRay-style-changes-from-r10132.patch added

- Status changed from Needs feedback to Confirmed

- Assignee changed from Jean-Philippe Lang to Mischa The Evil

I am working on this. I'll leave an incomplete WIP patch that just re-introduces the changes from r10132 as I don't have time to complete this task

today. I'll continue working on it tomorrow.

Still to do:

check upstream modifications of styles adjusted by/after r10132:

lib/coderay/styles/alpha.rb:

https://github.com/rubychan/coderay/compare/v1.0.9...v1.1.0#diff-e5baede8c0d3580f160114fce2f07083

https://github.com/rubychan/coderay/compare/v1.1.0...v1.1.1#diff-e5baede8c0d3580f160114fce2f07083

make sure the styles used for documentation files are in sync with Redmine's CodeRay styles with the final changes for this issue applied (made

easier by #24800).

compare all changes with #24681, review them and report back.

This patch, against current source:/trunk@16171, is produced using git format-patch which makes the patch apply-able using "patch -p1 < 0001-...".

#4 - 2024-01-27 09:31 - Go MAEDA

- Status changed from Confirmed to Closed

- Resolution set to Wont fix

I am closing this issue because CodeRay was removed in Redmine 4.0.0 (#24681) and the current application.css does not have the styles.

Files

0001-Re-introduce-CodeRay-style-changes-from-r10132.patch 3.5 KB 2017-01-10 Mischa The Evil
